hal_init(3hal)

NAME

hal_init - Sets up HAL and RTAPI

SYNTAX

 int hal_init(const char *modname)

ARGUMENTS

modname
    The name of this HAL module

DESCRIPTION

hal_init sets up HAL and RTAPI. It must be called by any module that intends to use the API, before any other RTAPI calls.

modname must point to a string that identifies the module. The string may be no longer than HAL_NAME_LEN characters.

REALTIME CONSIDERATIONS
Call only from within non-realtime or init/cleanup code, not from realtime tasks.

RETURN VALUE
On success, returns a positive integer module ID, which is used for subsequent calls to HAL and rtapi APIs. On failure, returns a HAL error code.